Retrieves all the article stock location serials
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_stock_location_serial| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_id |
Foreign key of article (mandatory) |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location) |
globally unique identifier | |
| serial_number |
Serial number (optional) |
string |
Max length: 255 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| status |
Status of the serial (Read-only, always AVAILABLE when created through the API) |
string | |
| sys_logical_delete |
Readonly system field managed by database |
boolean | |
| archived |
Readonly archived flag |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "20ec6db0-61f4-4cea-a072-97c4b904b1e1",
"article_id": "1acf7d3c-d59c-442b-8063-d5259ce46a0f",
"article_stock_location_id": "79ed20bf-7cf8-4cee-a1f9-1532a559fd91",
"serial_number": "sample string 4",
"reference_back_office": "sample string 5",
"status": "sample string 6",
"sys_logical_delete": true,
"archived": true,
"modified_dateutc": "2026-08-19T18:03:01.1078951+00:00"
}